Index: base/applications/mspaint/lang/es-ES.rc
===================================================================
--- base/applications/mspaint/lang/es-ES.rc	(revision 70321)
+++ base/applications/mspaint/lang/es-ES.rc	(working copy)
@@ -15,10 +15,10 @@
     BEGIN
-        MENUITEM "Nuevo\tCtrl+N", IDM_FILENEW
-        MENUITEM "Abrir...\tCtrl+O", IDM_FILEOPEN
-        MENUITEM "Guardar\tCtrl+S", IDM_FILESAVE
-        MENUITEM "Guardar como...", IDM_FILESAVEAS
+        MENUITEM "&Nuevo\tCtrl+N", IDM_FILENEW
+        MENUITEM "&Abrir...\tCtrl+A", IDM_FILEOPEN
+        MENUITEM "&Guardar\tCtrl+G", IDM_FILESAVE
+        MENUITEM "Guard&ar como...", IDM_FILESAVEAS
         MENUITEM SEPARATOR
-        MENUITEM "Page View", IDM_FILEPAGEVIEW
-        MENUITEM "Page Setup...", IDM_FILEPAGESETUP
-        MENUITEM "Print...\tCtrl+P", IDM_FILEPRINT
+        MENUITEM "Vista de página", IDM_FILEPAGEVIEW
+        MENUITEM "Configurar página...", IDM_FILEPAGESETUP
+        MENUITEM "Imprimir...\tCtrl+P", IDM_FILEPRINT
         MENUITEM SEPARATOR
@@ -38,5 +38,5 @@
         MENUITEM "Pegar\tCtrl+V", IDM_EDITPASTE
-        MENUITEM "Borrar selección\tDel", IDM_EDITDELETESELECTION
+        MENUITEM "Borrar selección\tSupr", IDM_EDITDELETESELECTION
         MENUITEM "Invertir selección", IDM_EDITINVERTSELECTION
-        MENUITEM "Seleccionar todo\tCtrl+A", IDM_EDITSELECTALL
+        MENUITEM "Seleccionar todo\tCtrl+E", IDM_EDITSELECTALL
         MENUITEM SEPARATOR
@@ -98,4 +98,4 @@
     "^N", IDM_FILENEW
-    "^O", IDM_FILEOPEN
-    "^S", IDM_FILESAVE
+    "^A", IDM_FILEOPEN
+    "^G", IDM_FILESAVE
     "^Z", IDM_EDITUNDO
@@ -106,3 +106,3 @@
     VK_DELETE, IDM_EDITDELETESELECTION, VIRTKEY
-    "^A", IDM_EDITSELECTALL
+    "^E", IDM_EDITSELECTALL
     "^T", IDM_VIEWTOOLBOX
@@ -195,3 +195,3 @@
     IDS_SAVEPROMPTTEXT "¿Guardar cambios a %s?"
-    IDS_DEFAULTFILENAME "Sin titulo.bmp"
+    IDS_DEFAULTFILENAME "Sin título.bmp"
     IDS_MINIATURETITLE "Miniatura"
@@ -221,3 +221,3 @@
     IDS_LOADERRORTEXT "No se pudo cargar el archivo %s."
-    IDS_ENLARGEPROMPTTEXT "The image in the clipboard is larger than the bitmap.\nWould you like the bitmap enlarged?"
+    IDS_ENLARGEPROMPTTEXT "La imagen en el Portapapeles es más grande que el lienzo.\n¿Quieres adaptar las dimesiones haciendo el lienzo más grande?"
 END 
Index: boot/bootdata/hivecls.inf
===================================================================
--- boot/bootdata/hivecls.inf	(revision 70321)
+++ boot/bootdata/hivecls.inf	(working copy)
@@ -150,4 +150,4 @@
 HKCR,".html","PerceivedType",0x00000000,"text"
-HKCR,"htmlfile","",0x00000000,%HTMLFILE%
-;;HKCR,"htmlfile","FriendlyTypeName",0x00020000,"@%SystemRoot%\system32\ieframe.dll,-912"
+HKCR,"htmlfile","",0x00000000,"HTML Document"
+HKCR,"htmlfile","FriendlyTypeName",0x00020000,"@%SystemRoot%\system32\mshtml.dll,-7501"
 HKCR,"htmlfile\DefaultIcon","",0x00020000,"%SystemRoot%\system32\ieframe.dll,0"
@@ -204,3 +204,3 @@
 HKCR,"inffile\shell\open\command","",0x00000000,"notepad.exe ""%1"""
-HKCR,"inffile\shell\Install","",0x00000000,"Install"
+HKCR,"inffile\shell\Install","",0x00000000,%INSTALL%
 HKCR,"inffile\shell\Install\command","",0x00020000,"%SystemRoot%\system32\rundll32.exe setupapi,InstallHinfSection DefaultInstall 132 %1"
@@ -265,3 +265,5 @@
 HKCR,"Msi.Package\shell\Open\command","",0x00020000,"%SystemRoot%\system32\msiexec.exe /i ""%1"""
+HKCR,"Msi.Package\shell\Repair","",0x00000000,%REPAIR%
 HKCR,"Msi.Package\shell\Repair\command","",0x00020000,"%SystemRoot%\system32\msiexec.exe /f ""%1"""
+HKCR,"Msi.Package\shell\Uninstall","",0x00000000,%UNINSTALL%
 HKCR,"Msi.Package\shell\Uninstall\command","",0x00020000,"%SystemRoot%\system32\msiexec.exe /x ""%1"""
@@ -281,3 +283,3 @@
 HKCR,"regfile\shell\edit\command","",0x00020000,"%SystemRoot%\system32\notepad.exe %1"
-HKCR,"regfile\shell\open","",0x00000000,"Merge"
+HKCR,"regfile\shell\open","",0x00000000,%MERGE%
 HKCR,"regfile\shell\open\command","",0x00000000,"regedit.exe ""%1"""
@@ -289,7 +291,7 @@
 HKCR,"scrfile\DefaultIcon","",0x00000000,"%1"
-HKCR,"scrfile\shell\config","",0x00000000,"Configure"
+HKCR,"scrfile\shell\config","",0x00000000,%CONFIGURE%
 HKCR,"scrfile\shell\config\command","",0x00000000,"""%1"""
-HKCR,"scrfile\shell\install","",0x00000000,"Install"
+HKCR,"scrfile\shell\install","",0x00000000,%INSTALL%
 HKCR,"scrfile\shell\install\command","",0x00000000,"rundll32.exe desk.cpl,InstallScreenSaver %l"
-HKCR,"scrfile\shell\open","",0x00000000,"Test"
+HKCR,"scrfile\shell\open","",0x00000000,%TEST%
 HKCR,"scrfile\shell\open\command","",0x00000000,"""%1"" /S"
@@ -298,3 +300,3 @@
 HKCR,".scf","",0x00000000,"SHCmdFile"
-HKCR,"SHCmdFile","",0x00000000,"ReactOS Explorer Command"
+HKCR,"SHCmdFile","",0x00000000,%SCFFILE%
 HKCR,"SHCmdFile","NeverShowExt",0x00000000,""
@@ -376,3 +378,3 @@
 
-; For TCPIP Protocol property page
+; For the TCP/IP Protocol property page
 HKCR,"CLSID\{A907657F-6FDF-11D0-8EFB-00C04FD912B2}","",0x00000000,"TCP/IP Configuration Notify Object"
@@ -403,3 +405,3 @@
 HKCR,".chk","PerceivedType",0x00000000,"system"
-HKCR,".css","",0x00000000,"CSSfile"
+HKCR,".css","",0x00000000,%CSSFILE%
 HKCR,".css","PerceivedType",0x00000000,"text"
@@ -415,3 +417,3 @@
 HKCR,".nvr","PerceivedType",0x00000000,"text"
-HKCR,".ocx","",0x00000000,"ocxfile"
+HKCR,".ocx","",0x00000000,%OCXFILE%
 HKCR,".ocx","PerceivedType",0x00000000,"system"
@@ -429,3 +431,3 @@
 HKCR,".wdp","PerceivedType",0x00000000,"image"
-HKCR,".wmz","",0x00000000,"WMZFile"
+HKCR,".wmz","",0x00000000,%WMZFILE%
 HKCR,".wmz","PerceivedType",0x00000000,"compressed"
@@ -577,4 +579,3 @@
 CHMFILE="Compiled HTML Help File"
-;; In ieframe.dll
-HTMLFILE="HTML File"
+
 ;; In msxml3r.dll
@@ -582,4 +583,6 @@
 XSLFILE="XSL Stylesheet"
+
 ;; In msi.dll
 MSIPACK="ReactOS Installer Package"
+
 ;; In themeui.dll
@@ -587,2 +590,3 @@
 THEMEFILE="Theme File"
+
 ;; In some multimedia exe/dll
@@ -593,2 +597,19 @@
 
+;; Misc file types without friendly (localized in .dll resources) name
+CSSFILE="Cascading Style Sheet"
+OCXFILE="OLE Control Extension"
+SCFFILE="ReactOS Explorer Command"
+WMZFILE="Compressed Enhanced Metafile"
+
+:: For .reg files, right-click menu
+MERGE="Merge"
+
+;; For screensaver (*.scr) and MSI install package (*.msi) files, right-click menu
+CONFIGURE="Configure"
+INSTALL="Install"
+UNINSTALL="Uninstall"
+REPAIR="Repair"
+TEST="Test"
+
+
 ; LANG_GERMAN SUBLANG_NEUTRAL
@@ -597,2 +618,3 @@
 
+
 ; LANG_SPANISH SUBLANG_NEUTRAL
@@ -601,2 +623,25 @@
 
+MERGE="Combinar"
+CONFIGURE="Configurar"
+INSTALL="Instalar"
+UNINSTALL="Desinstalar"
+REPAIR="Reparar"
+TEST="Probar"
+
+CHMFILE="Archivo de ayuda HTML compilado"
+XMLFILE="Documento XML"
+XSLFILE="Hoja de estilos XSL"
+MSIPACK="Paquete de instalación de ReactOS"
+MSSTYLESFILE="Archivo de estilo visual"
+THEMEFILE="Archivo de tema"
+WAVFILE="Archivo de audio"
+MIDFILE="Secuencia MIDI"
+CDAFILE="Pista de audio CD"
+AVIFILE="Secuencia de vídeo"
+CSSFILE="Hoja de estilos en cascada"
+OCXFILE="Extensión de control OLE"
+SCFFILE="Órden del explorador de ReactOS"
+WMZFILE="Metarchivo mejorado comprimido"
+
+
 ; LANG_FRENCH SUBLANG_NEUTRAL
@@ -606,3 +651,2 @@
 CHMFILE="Fichier d'aide HTML compilé"
-HTMLFILE="Fichier HTML"
 XMLFILE="Document XML"
@@ -617,2 +661,3 @@
 
+
 ; LANG_POLISH SUBLANG_NEUTRAL
@@ -621,2 +666,3 @@
 
+
 ; LANG_ROMANIAN SUBLANG_NEUTRAL
@@ -625,2 +671,3 @@
 
+
 ; LANG_RUSSIAN SUBLANG_NEUTRAL
@@ -629,2 +676,3 @@
 
+
 ; LANG_TURKISH SUBLANG_DEFAULT
Index: dll/cpl/wined3dcfg/lang/es-ES.rc
===================================================================
--- dll/cpl/wined3dcfg/lang/es-ES.rc	(revision 70321)
+++ dll/cpl/wined3dcfg/lang/es-ES.rc	(working copy)
@@ -1,1 +1,2 @@
+
 /* Spanish Language resource file
@@ -39,3 +40,3 @@
 BEGIN
-    IDS_CPLNAME "WineD3D Options"
+    IDS_CPLNAME "Opciones de WineD3D"
     IDS_CPLDESCRIPTION "Configura los ajustes del motor de compatibilidad WineD3D."
Index: dll/win32/devmgr/lang/es-ES.rc
===================================================================
--- dll/win32/devmgr/lang/es-ES.rc	(revision 70321)
+++ dll/win32/devmgr/lang/es-ES.rc	(working copy)
@@ -149,7 +149,7 @@
     LTEXT "", IDC_DEVNAME, 37, 9, 174, 16, SS_NOPREFIX
-    LTEXT "Tipo de dispositivo:", -1, 37, 39, 65, 8, SS_NOPREFIX
+    LTEXT "Tipo de dispositivo:", -1, 30, 39, 62, 8, SS_NOPREFIX | SS_RIGHT
     EDITTEXT IDC_DEVTYPE, 100, 39, 146, 12, NOT WS_TABSTOP | NOT WS_BORDER | ES_AUTOHSCROLL | ES_READONLY
-    LTEXT "Fabricante:", -1, 37, 53, 60, 8, SS_NOPREFIX
+    LTEXT "Fabricante:", -1, 30, 53, 62, 8, SS_NOPREFIX | SS_RIGHT
     EDITTEXT IDC_DEVMANUFACTURER, 100, 53, 145, 12, NOT WS_TABSTOP | NOT WS_BORDER | ES_AUTOHSCROLL | ES_READONLY
-    LTEXT "Ubicación:", -1, 37, 67, 60, 8, SS_NOPREFIX
+    LTEXT "Ubicación:", -1, 30, 67, 62, 8, SS_NOPREFIX | SS_RIGHT
     EDITTEXT IDC_DEVLOCATION, 100, 67, 145, 12, NOT WS_TABSTOP | NOT WS_BORDER | ES_AUTOHSCROLL | ES_READONLY
@@ -169,14 +169,14 @@
     LTEXT "", IDC_DEVNAME, 37, 9, 174, 16, SS_NOPREFIX
-    LTEXT "Proveedor del controlador:", -1, 15, 39, 92, 8, SS_NOPREFIX
+    LTEXT "Proveedor del controlador:", -1, 4, 39, 91, 8, SS_NOPREFIX | SS_RIGHT
     EDITTEXT IDC_DRVPROVIDER, 100, 39, 146, 12, NOT WS_TABSTOP | NOT WS_BORDER | ES_AUTOHSCROLL | ES_READONLY
-    LTEXT "Fecha del controlador:", -1, 15, 53, 80, 8, SS_NOPREFIX
+    LTEXT "Fecha del controlador:", -1, 15, 53, 80, 8, SS_NOPREFIX | SS_RIGHT
     EDITTEXT IDC_DRVDATE, 100, 53, 145, 12, NOT WS_TABSTOP | NOT WS_BORDER | ES_AUTOHSCROLL | ES_READONLY
-    LTEXT "Versión del controlador:", -1, 15, 67, 80, 8, SS_NOPREFIX
+    LTEXT "Versión del controlador:", -1, 15, 67, 80, 8, SS_NOPREFIX | SS_RIGHT
     EDITTEXT IDC_DRVVERSION, 100, 67, 145, 12, NOT WS_TABSTOP | NOT WS_BORDER | ES_AUTOHSCROLL | ES_READONLY
-    LTEXT "Firmante digital:", -1, 15, 81, 80, 8, SS_NOPREFIX
+    LTEXT "Firmante digital:", -1, 15, 81, 80, 8, SS_NOPREFIX | SS_RIGHT
     EDITTEXT IDC_DIGITALSIGNER, 100, 81, 145, 12, NOT WS_TABSTOP | NOT WS_BORDER | ES_AUTOHSCROLL | ES_READONLY
     PUSHBUTTON "&Detalles del controlador...", IDC_DRIVERDETAILS, 7, 106, 90, 15
-    LTEXT "Ver detalles de los archivos del controlador.", -1, 100, 110, 150, 17, SS_NOPREFIX
+    LTEXT "Ver detalles de los archivos del controlador.", -1, 102, 110, 150, 17, SS_NOPREFIX
     PUSHBUTTON "&Actualizar controlador...", IDC_UPDATEDRIVER, 7, 126, 90, 15
-    LTEXT "Actualizar el controlador del dispositivo.", -1, 100, 130, 150, 17, SS_NOPREFIX
+    LTEXT "Actualizar el controlador del dispositivo.", -1, 102, 130, 150, 17, SS_NOPREFIX
 END
@@ -194,9 +194,9 @@
             LVS_NOSORTHEADER | WS_BORDER | WS_TABSTOP, 7, 46, 209, 80
-    LTEXT "Proveedor:", -1, 10, 134, 50, 8
+    LTEXT "Proveedor:", -1, 10, 134, 50, 8, SS_RIGHT
     EDITTEXT IDC_FILEPROVIDER, 66, 134, 155, 8, NOT WS_TABSTOP | NOT WS_BORDER | ES_AUTOHSCROLL | ES_READONLY
-    LTEXT "Versión:", -1, 10, 150, 50, 8
+    LTEXT "Versión:", -1, 10, 150, 50, 8, SS_RIGHT
     EDITTEXT IDC_FILEVERSION, 66, 150, 155, 8, NOT WS_TABSTOP | NOT WS_BORDER | ES_AUTOHSCROLL | ES_READONLY
-    LTEXT "Autoría:", -1, 10, 166, 50, 8
+    LTEXT "Autoría:", -1, 10, 166, 50, 8, SS_RIGHT
     EDITTEXT IDC_FILECOPYRIGHT, 66, 166, 155, 8, NOT WS_TABSTOP | NOT WS_BORDER | ES_AUTOHSCROLL | ES_READONLY
-    LTEXT "Firmante digital:", -1, 10, 182, 60, 8
+    LTEXT "Firmante digital:", -1, 3, 182, 57, 8, SS_RIGHT
     EDITTEXT IDC_DIGITALSIGNER, 66, 182, 155, 8, NOT WS_TABSTOP | NOT WS_BORDER | ES_AUTOHSCROLL | ES_READONLY
Index: dll/win32/netcfgx/lang/es-ES.rc
===================================================================
--- dll/win32/netcfgx/lang/es-ES.rc	(revision 70321)
+++ dll/win32/netcfgx/lang/es-ES.rc	(working copy)
@@ -1,1 +1,3 @@
+/* Spanish translation by Ismael Ferreras Morezuelas (Swyter) */
+
 LANGUAGE LANG_SPANISH, SUBLANG_NEUTRAL
@@ -7,20 +9,20 @@
 BEGIN
-    LTEXT "Se pueden asignar las propiedades de IP automaticamente si su red soporta esta capacidad. Si no, debe contactar a su administrador de red para los ajustes necesarios.", -1, 9, 9, 235, 27
-    CONTROL "Obtener dirección IP automaticamente", IDC_USEDHCP, "BUTTON", BS_AUTORADIOBUTTON | WS_GROUP, 14, 43, 210, 12
+    LTEXT "Se pueden asignar las propiedades de IP automáticamente si su red soporta esta capacidad. Si no, debe contactar a su administrador de red para obtener los ajustes necesarios.", -1, 9, 9, 235, 27
+    CONTROL "Obtener dirección IP automáticamente", IDC_USEDHCP, "BUTTON", BS_AUTORADIOBUTTON | WS_GROUP, 14, 43, 210, 12
     GROUPBOX "", -1, 9, 61, 228, 70, BS_GROUPBOX
-    CONTROL "&Usar la siguiente Dirección IP:", IDC_NODHCP, "BUTTON", BS_AUTORADIOBUTTON, 14, 59, 120, 12
+    CONTROL "&Usar la siguiente dirección IP:", IDC_NODHCP, "BUTTON", BS_AUTORADIOBUTTON, 14, 59, 110, 12
     LTEXT "Dirección IP:", -1, 14, 75, 135, 8
-    CONTROL "", IDC_IPADDR, "SysIPAddress32", WS_TABSTOP, 150, 75 - 2, 80, 12
+    CONTROL "", IDC_IPADDR, "SysIPAddress32", WS_TABSTOP, 140, 75 - 2, 85, 12
     LTEXT "Máscara de subred:", -1, 14, 90, 135, 8
-    CONTROL "", IDC_SUBNETMASK, "SysIPAddress32", WS_TABSTOP, 150, 90 - 2, 80, 12
+    CONTROL "", IDC_SUBNETMASK, "SysIPAddress32", WS_TABSTOP, 140, 90 - 2, 85, 12
     LTEXT "Puerta de enlace predeterminada:", -1, 14, 105, 135, 8
-    CONTROL "", IDC_DEFGATEWAY, "SysIPAddress32", WS_TABSTOP, 150, 105 - 2, 80, 12
-    CONTROL "Obtener dirección del servidor DNS automaticamente", IDC_AUTODNS, "BUTTON", BS_AUTORADIOBUTTON | WS_GROUP, 14, 139, 210, 12
+    CONTROL "", IDC_DEFGATEWAY, "SysIPAddress32", WS_TABSTOP, 140, 105 - 2, 85, 12
+    CONTROL "Obtener dirección del servidor DNS automáticamente", IDC_AUTODNS, "BUTTON", BS_AUTORADIOBUTTON | WS_GROUP, 14, 139, 210, 12
     GROUPBOX "", -1, 9, 157, 228, 47, BS_GROUPBOX
-    CONTROL "&Usar las siguiente direcciones de DNS", IDC_FIXEDDNS, "BUTTON", BS_AUTORADIOBUTTON, 14, 155, 152, 12
-    LTEXT "Servidor DNS Preferido:", -1, 14, 171, 135, 8
-    CONTROL "", IDC_DNS1, "SysIPAddress32", WS_TABSTOP, 150, 171 - 2, 80, 12
-    LTEXT "Servidor DNS Alterno:", -1, 14, 186, 135, 8
-    CONTROL "", IDC_DNS2, "SysIPAddress32", WS_TABSTOP, 150, 186 - 2, 80, 12
-    PUSHBUTTON "Opciones &avanzado", IDC_ADVANCED, 156, 209, 80, 14, WS_TABSTOP
+    CONTROL "&Usar las siguientes direcciones DNS:", IDC_FIXEDDNS, "BUTTON", BS_AUTORADIOBUTTON, 14, 155, 130, 12
+    LTEXT "Servidor DNS preferido:", -1, 14, 171, 160, 8
+    CONTROL "", IDC_DNS1, "SysIPAddress32", WS_TABSTOP, 140, 171 - 2, 85, 12
+    LTEXT "Servidor DNS alternativo:", -1, 14, 186, 160, 8
+    CONTROL "", IDC_DNS2, "SysIPAddress32", WS_TABSTOP, 140, 186 - 2, 85, 12
+    PUSHBUTTON "Opciones &avanzadas", IDC_ADVANCED, 156, 209, 80, 14, WS_TABSTOP
 END
@@ -34,14 +36,14 @@
     CONTROL "&Dirección IP privada automática", IDC_USEDHCP, "BUTTON", BS_AUTORADIOBUTTON | WS_GROUP | WS_TABSTOP, 14, 40, 210, 12
-    GROUPBOX "", -1, 9, 55, 228, 80, BS_GROUPBOX
-    CONTROL "Configurada por el u&suario", IDC_NODHCP, "BUTTON", BS_AUTORADIOBUTTON | WS_GROUP | WS_TABSTOP, 14, 55, 90, 12
+    GROUPBOX "", -1, 9, 55, 228, 130, BS_GROUPBOX
+    CONTROL "Configurada por el u&suario:", IDC_NODHCP, "BUTTON", BS_AUTORADIOBUTTON | WS_GROUP | WS_TABSTOP, 14, 55, 100, 12
     LTEXT "Dire&cción IP:", -1, 14, 75, 135, 8
-    CONTROL "", IDC_IPADDR, "SysIPAddress32", WS_TABSTOP, 150, 75, 80, 12
+    CONTROL "", IDC_IPADDR, "SysIPAddress32", WS_TABSTOP, 140, 75, 85, 12
     LTEXT "Máscara de s&ubred:", -1, 14, 95, 135, 8
-    CONTROL "", IDC_SUBNETMASK, "SysIPAddress32", WS_TABSTOP, 150, 95, 80, 12
+    CONTROL "", IDC_SUBNETMASK, "SysIPAddress32", WS_TABSTOP, 140, 95, 85, 12
     LTEXT "&Puerta de enlace predeterminada:", -1, 14, 115, 135, 8
-    CONTROL "", IDC_DEFGATEWAY, "SysIPAddress32", WS_TABSTOP, 150, 115, 80, 12
+    CONTROL "", IDC_DEFGATEWAY, "SysIPAddress32", WS_TABSTOP, 140, 115, 85, 12
     LTEXT "S&ervidor DNS preferido:", -1, 14, 150, 135, 8
-    CONTROL "", IDC_DNS1, "SysIPAddress32", WS_TABSTOP, 150, 150, 80, 12
+    CONTROL "", IDC_DNS1, "SysIPAddress32", WS_TABSTOP, 140, 150, 85, 12
     LTEXT "Servidor DNS alternati&vo:", -1, 14, 165, 180, 8
-    CONTROL "", IDC_DNS2, "SysIPAddress32", WS_TABSTOP, 150, 165, 80, 12
+    CONTROL "", IDC_DNS2, "SysIPAddress32", WS_TABSTOP, 140, 165, 85, 12
 END
@@ -114,7 +116,7 @@
 BEGIN
-    CONTROL "", IDC_IPADDR, "SysIPAddress32", WS_TABSTOP, 100, 15, 80, 12
+    CONTROL "", IDC_IPADDR, "SysIPAddress32", WS_TABSTOP, 100, 15, 85, 12
     LTEXT "Dirección IP:", -1, 5, 15, 70, 12
     LTEXT "Máscara de subred:", -1, 5, 30, 70, 12
-    CONTROL "", IDC_SUBNETMASK, "SysIPAddress32", WS_TABSTOP, 100, 30, 80, 12
-    DEFPUSHBUTTON "", IDC_OK, 50, 50, 50, 14, WS_TABSTOP
+    CONTROL "", IDC_SUBNETMASK, "SysIPAddress32", WS_TABSTOP, 100, 30, 85, 12
+    DEFPUSHBUTTON "Aceptar", IDC_OK, 50, 50, 50, 14, WS_TABSTOP
     PUSHBUTTON "Cancelar", IDCANCEL, 110, 50, 50, 14, WS_TABSTOP
@@ -127,3 +129,3 @@
 BEGIN
-    CONTROL "", IDC_IPADDR, "SysIPAddress32", WS_TABSTOP, 100, 15, 80, 12
+    CONTROL "", IDC_IPADDR, "SysIPAddress32", WS_TABSTOP, 100, 15, 85, 12
     LTEXT "Puerta de enlace:", -1, 5, 15, 70, 12
@@ -132,3 +134,3 @@
     EDITTEXT IDC_METRIC, 100, 45, 50, 12, WS_TABSTOP | ES_NUMBER | WS_DISABLED
-    DEFPUSHBUTTON "", IDC_OK, 50, 60, 50, 14, WS_TABSTOP
+    DEFPUSHBUTTON "Aceptar", IDC_OK, 50, 60, 50, 14, WS_TABSTOP
     PUSHBUTTON "Cancelar", IDCANCEL, 110, 60, 50, 14, WS_TABSTOP
@@ -141,5 +143,5 @@
 BEGIN
-    CONTROL "", IDC_IPADDR, "SysIPAddress32", WS_TABSTOP, 5, 25, 80, 12
+    CONTROL "", IDC_IPADDR, "SysIPAddress32", WS_TABSTOP, 5, 25, 85, 12
     LTEXT "Servidor DNS:", -1, 5, 10, 120, 12
-    PUSHBUTTON "", IDC_OK, 50, 50, 50, 14, WS_TABSTOP
+    PUSHBUTTON "Aceptar", IDC_OK, 50, 50, 50, 14, WS_TABSTOP
     PUSHBUTTON "Cancelar", IDCANCEL, 110, 50, 50, 14, WS_TABSTOP
@@ -154,3 +156,3 @@
     LTEXT "Sufijo del dominio:", -1, 5, 10, 120, 12
-    PUSHBUTTON "", IDC_OK, 50, 50, 50, 14, WS_TABSTOP
+    PUSHBUTTON "Aceptar", IDC_OK, 50, 50, 50, 14, WS_TABSTOP
     PUSHBUTTON "Cancelar", IDCANCEL, 110, 50, 50, 14, WS_TABSTOP
@@ -201,4 +203,4 @@
     IDS_NO_IPADDR_SET "El adaptador requiere al menos una dirección IP. Escriba una."
-    IDS_NO_SUBMASK_SET "Ha introducido una dirección que esta pierdiendo su máscara de subred. Por favor,añada una máscara de subred."
-    IDS_TCPFILTERDESC "El filtro TCP/IP le permite controlar el tipo de tráfico de red TCP/IP que llega a su equipo."
+    IDS_NO_SUBMASK_SET "Ha escrito una dirección sin su máscara de subred. Por favor, añádala."
+    IDS_TCPFILTERDESC "El filtrado TCP/IP le permite controlar qué tipo de tráfico de red TCP/IP que llega a su equipo."
     IDS_TCPFILTER "Filtrado TCP/IP"
@@ -220,6 +222,6 @@
     IDS_DUP_NUMBER "El número que esta intentando agregar ya esta en la lista. Escriba un número diferente."
-    IDS_DISABLE_FILTER "Disabling this global TCP/IP setting will affect all adapters."
+    IDS_DISABLE_FILTER "Desactivar este ajuste TCP/IP global afectará a todos los adaptadores."
     IDS_NO_SUFFIX "La configuración actual del método de búsqueda requiere al menos un sufijo DNS. Escriba uno o cambie la configuración."
     IDS_DOMAIN_SUFFIX "El sufijo del dominio no es un sufijo válido."
-    IDS_DNS_SUFFIX "El nombre de dominio DNS ""%s"" no es un nombre DNS válido."
+    IDS_DNS_SUFFIX "El nombre de dominio DNS «%s» no es un nombre DNS válido."
     IDS_DUP_SUFFIX "El sufijo DNS ya está en la lista."
Index: dll/win32/shell32/dialogs/folder_options.cpp
===================================================================
--- dll/win32/shell32/dialogs/folder_options.cpp	(revision 70321)
+++ dll/win32/shell32/dialogs/folder_options.cpp	(working copy)
@@ -277,6 +277,6 @@
     {
-        /* construct default 'FileExtensionFile' */
-        wcscpy(Entry->FileDescription, &Entry->FileExtension[1]);
-        wcscat(Entry->FileDescription, L" ");
-        wcscat(Entry->FileDescription, szFile);
+        /* construct default 'FileExtensionFile' by formatting the uppercase extension
+           with IDS_FILE_EXT_TYPE, outputting something like a l18n 'INI File' */
+
+        swprintf(Entry->FileDescription, szFile, &Entry->FileExtension[1]);
     }
@@ -330,10 +330,10 @@
     szFile[0] = 0;
-    if (!LoadStringW(shell32_hInstance, IDS_SHV_COLUMN1, szFile, sizeof(szFile) / sizeof(WCHAR)))
+    if (!LoadStringW(shell32_hInstance, IDS_FILE_EXT_TYPE, szFile, _countof(szFile)))
     {
         /* default to english */
-        wcscpy(szFile, L"File");
+        wcscpy(szFile, L"%s File");
     }
-    szFile[(sizeof(szFile)/sizeof(WCHAR))-1] = 0;
+    szFile[(_countof(szFile))-1] = 0;
 
-    dwName = sizeof(szName) / sizeof(WCHAR);
+    dwName = _countof(szName);
 
@@ -342,3 +342,3 @@
         InsertFileType(hDlgCtrl, szName, &iItem, szFile);
-        dwName = sizeof(szName) / sizeof(WCHAR);
+        dwName = _countof(szName);
     }
Index: dll/win32/shell32/lang/bg-BG.rc
===================================================================
--- dll/win32/shell32/lang/bg-BG.rc	(revision 70321)
+++ dll/win32/shell32/lang/bg-BG.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/ca-ES.rc
===================================================================
--- dll/win32/shell32/lang/ca-ES.rc	(revision 70321)
+++ dll/win32/shell32/lang/ca-ES.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/cs-CZ.rc
===================================================================
--- dll/win32/shell32/lang/cs-CZ.rc	(revision 70321)
+++ dll/win32/shell32/lang/cs-CZ.rc	(working copy)
@@ -826,2 +826,7 @@
     IDS_COLUMN_EXTENSION "Přípony"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bajtů"
Index: dll/win32/shell32/lang/da-DK.rc
===================================================================
--- dll/win32/shell32/lang/da-DK.rc	(revision 70321)
+++ dll/win32/shell32/lang/da-DK.rc	(working copy)
@@ -826,2 +826,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/de-DE.rc
===================================================================
--- dll/win32/shell32/lang/de-DE.rc	(revision 70321)
+++ dll/win32/shell32/lang/de-DE.rc	(working copy)
@@ -821,2 +821,7 @@
     IDS_COLUMN_EXTENSION "Erweiterungen"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "Bytes"
Index: dll/win32/shell32/lang/el-GR.rc
===================================================================
--- dll/win32/shell32/lang/el-GR.rc	(revision 70321)
+++ dll/win32/shell32/lang/el-GR.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/en-GB.rc
===================================================================
--- dll/win32/shell32/lang/en-GB.rc	(revision 70321)
+++ dll/win32/shell32/lang/en-GB.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/en-US.rc
===================================================================
--- dll/win32/shell32/lang/en-US.rc	(revision 70321)
+++ dll/win32/shell32/lang/en-US.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/es-ES.rc
===================================================================
--- dll/win32/shell32/lang/es-ES.rc	(revision 70321)
+++ dll/win32/shell32/lang/es-ES.rc	(working copy)
@@ -449,3 +449,3 @@
     PUSHBUTTON "Eli&minar", 14002, 230, 110, 50, 14, WS_TABSTOP
-    GROUPBOX "Detalles para el tipo de archivo '%s'", 14003, 7, 130, 279, 100
+    GROUPBOX "Detalles para el tipo de archivo «%s»", 14003, 7, 130, 279, 100
     LTEXT "Se abre con:", -1, 12, 140, 50, 10
@@ -818,6 +818,11 @@
 
-    IDS_FILE_DETAILS "Detalles para el tipo de archivo '%s'"
-    IDS_FILE_DETAILSADV "Los archivos con extensión '%s' son del tipo '%s'. Para cambiar la configuración de los archivos '%s', haga clic en Opciones avanzadas."
+    IDS_FILE_DETAILS "Detalles para el tipo de archivo «%s»"
+    IDS_FILE_DETAILSADV "Los archivos con extensión «%s» son del tipo «%s». Para cambiar la configuración de los archivos «%s», haga clic en Opciones avanzadas."
     IDS_FILE_TYPES "Tipos de archivo"
     IDS_COLUMN_EXTENSION "Extensiones"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "Archivo %s"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/fi-FI.rc
===================================================================
--- dll/win32/shell32/lang/fi-FI.rc	(revision 70321)
+++ dll/win32/shell32/lang/fi-FI.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/fr-FR.rc
===================================================================
--- dll/win32/shell32/lang/fr-FR.rc	(revision 70321)
+++ dll/win32/shell32/lang/fr-FR.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "octets"
Index: dll/win32/shell32/lang/he-IL.rc
===================================================================
--- dll/win32/shell32/lang/he-IL.rc	(revision 70321)
+++ dll/win32/shell32/lang/he-IL.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/hu-HU.rc
===================================================================
--- dll/win32/shell32/lang/hu-HU.rc	(revision 70321)
+++ dll/win32/shell32/lang/hu-HU.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/it-IT.rc
===================================================================
--- dll/win32/shell32/lang/it-IT.rc	(revision 70321)
+++ dll/win32/shell32/lang/it-IT.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Estensioni"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "byte"
Index: dll/win32/shell32/lang/ja-JP.rc
===================================================================
--- dll/win32/shell32/lang/ja-JP.rc	(revision 70321)
+++ dll/win32/shell32/lang/ja-JP.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/ko-KR.rc
===================================================================
--- dll/win32/shell32/lang/ko-KR.rc	(revision 70321)
+++ dll/win32/shell32/lang/ko-KR.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/nl-NL.rc
===================================================================
--- dll/win32/shell32/lang/nl-NL.rc	(revision 70321)
+++ dll/win32/shell32/lang/nl-NL.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/no-NO.rc
===================================================================
--- dll/win32/shell32/lang/no-NO.rc	(revision 70321)
+++ dll/win32/shell32/lang/no-NO.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/pl-PL.rc
===================================================================
--- dll/win32/shell32/lang/pl-PL.rc	(revision 70321)
+++ dll/win32/shell32/lang/pl-PL.rc	(working copy)
@@ -824,2 +824,7 @@
     IDS_COLUMN_EXTENSION "Rozszerzenia"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bajtów"
Index: dll/win32/shell32/lang/pt-BR.rc
===================================================================
--- dll/win32/shell32/lang/pt-BR.rc	(revision 70321)
+++ dll/win32/shell32/lang/pt-BR.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensões"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/pt-PT.rc
===================================================================
--- dll/win32/shell32/lang/pt-PT.rc	(revision 70321)
+++ dll/win32/shell32/lang/pt-PT.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/ro-RO.rc
===================================================================
--- dll/win32/shell32/lang/ro-RO.rc	(revision 70321)
+++ dll/win32/shell32/lang/ro-RO.rc	(working copy)
@@ -822,2 +822,7 @@
     IDS_COLUMN_EXTENSION "Extensii"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "octeți"
Index: dll/win32/shell32/lang/ru-RU.rc
===================================================================
--- dll/win32/shell32/lang/ru-RU.rc	(revision 70321)
+++ dll/win32/shell32/lang/ru-RU.rc	(working copy)
@@ -822,2 +822,7 @@
     IDS_COLUMN_EXTENSION "Расширения"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "байт"
Index: dll/win32/shell32/lang/sk-SK.rc
===================================================================
--- dll/win32/shell32/lang/sk-SK.rc	(revision 70321)
+++ dll/win32/shell32/lang/sk-SK.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/sl-SI.rc
===================================================================
--- dll/win32/shell32/lang/sl-SI.rc	(revision 70321)
+++ dll/win32/shell32/lang/sl-SI.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/sq-AL.rc
===================================================================
--- dll/win32/shell32/lang/sq-AL.rc	(revision 70321)
+++ dll/win32/shell32/lang/sq-AL.rc	(working copy)
@@ -824,2 +824,7 @@
     IDS_COLUMN_EXTENSION "Prapashtesa"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/sv-SE.rc
===================================================================
--- dll/win32/shell32/lang/sv-SE.rc	(revision 70321)
+++ dll/win32/shell32/lang/sv-SE.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/tr-TR.rc
===================================================================
--- dll/win32/shell32/lang/tr-TR.rc	(revision 70321)
+++ dll/win32/shell32/lang/tr-TR.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Uzantılar"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bayt"
Index: dll/win32/shell32/lang/uk-UA.rc
===================================================================
--- dll/win32/shell32/lang/uk-UA.rc	(revision 70321)
+++ dll/win32/shell32/lang/uk-UA.rc	(working copy)
@@ -820,2 +820,7 @@
     IDS_COLUMN_EXTENSION "Розширення"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/lang/zh-CN.rc
===================================================================
--- dll/win32/shell32/lang/zh-CN.rc	(revision 70321)
+++ dll/win32/shell32/lang/zh-CN.rc	(working copy)
@@ -827,2 +827,7 @@
     IDS_COLUMN_EXTENSION "扩展"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "字节"
Index: dll/win32/shell32/lang/zh-TW.rc
===================================================================
--- dll/win32/shell32/lang/zh-TW.rc	(revision 70321)
+++ dll/win32/shell32/lang/zh-TW.rc	(working copy)
@@ -828,2 +828,7 @@
     IDS_COLUMN_EXTENSION "Extensions"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "%s File"
+
     IDS_BYTES_FORMAT "bytes"
Index: dll/win32/shell32/shresdef.h
===================================================================
--- dll/win32/shell32/shresdef.h	(revision 70321)
+++ dll/win32/shell32/shresdef.h	(working copy)
@@ -171,2 +171,3 @@
 #define IDS_FILE_DETAILSADV       176
+#define IDS_FILE_EXT_TYPE         999
 #define IDS_BYTES_FORMAT          177
